> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vouchmark.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set widget status

> Change a widget's status — draft, live, or paused.

Transitions a widget between lifecycle states and returns the full updated widget.

Requires `Authorization: Bearer $TOKEN`.

## Path parameters

<ParamField path="id" type="string" required>
  The widget ID.
</ParamField>

## Body

<ParamField body="status" type="string" required>
  Target status. One of `draft`, `live`, or `paused`.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH https://api.vouchmark.com/v1/kyb/widgets/wgt_aBcD.../status \
    -H "Authorization: Bearer $TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"status":"live"}'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "id": "wgt_aBcD...",
      "name": "Acme KYB",
      "status": "live",
      "environment": "live",
      "templateId": "fintech",
      "config": { "branding": { "...": "..." }, "modules": { "...": "..." }, "flow": { "...": "..." }, "security": { "...": "..." }, "risk": { "...": "..." }, "notifications": { "...": "..." } },
      "embedLinkToken": "elt_...",
      "createdAt": "2026-06-01T10:00:00Z",
      "updatedAt": "2026-06-01T10:05:00Z"
    }
  }
  ```
</ResponseExample>

Only a `live` widget can be opened by applicants through its embed link.
